#######################################################
############## RandomWeapons Version 1.1 ##############
#######################################################

# Requirements:
# EventScripts 2.1 (Orange Box) or later

#######################################################
#######################################################
#######################################################

import es, playerlib, gamethread
import random

info = es.AddonInfo()
info.name = 'RandomWeapons'
info.version = '1.1'
info.url = 'http://addons.eventscripts.com/addons/view/randomweapons'
info.author = 'Lumpi@Work'
info.description = 'Random weapons for everyone!'

es.set("randomweapons_ver", 1.1)
es.makepublic("randomweapons_ver")

es.msg("#multi", "#green[RandomWeapons]#default: #lightgreenLoaded - Made by Lump1")
        
def unload():
    es.msg("#multi", "#green[RandomWeapons]#default: #lightgreenUnloaded")
                
def player_spawn(event_var):
    rw_randomweapon = "weapon_" + random.choice(["ak47", "aug", "awp", "deagle", "elite", "famas", "fiveseven", "g3sg1", "galil", "glock", "m249", "m3", "m4a1", "mac10", "mp5navy", "p228", "p90", "scout", "sg550", "sg552", "tmp", "ump45", "usp", "xm1014"])
    playerhasbomb = 0
    player = playerlib.getPlayer(event_var["userid"])
    team = player.teamid
    if team > 1:
        if player.hasC4():
            playerhasbomb = 1
        es.give(player, "player_weaponstrip")
        es.fire(player, "player_weaponstrip", "strip")
        gamethread.delayed(.1, es.give, (player, "weapon_knife"))
        gamethread.delayed(.1, es.give, (player, rw_randomweapon))
        if playerhasbomb:
            gamethread.delayed(.1, es.give, (player, "weapon_c4"))   
